import 'package:getx_extended_dart/export.dart';

void main() {
  final storage = RxStorage<String>(
    key: "string",
    defaultValue: "",
    encoder: (model) => model,
    decoder: (json) => json,
  );

  List.generate(2, (index) {
    print("=== $index ===");
    print("Before: ${storage.value}");
    storage.value = DateTime.now().toString();
    print("After: ${storage.value}");
    storage.listenWithInitialValue(print);
  });
}
